.restaurants_2025_master_container {
    width: 100%;
    position: relative;
}

.restaurants_2025_item {
    width: 80%;
    position: relative;
    margin: 0 auto 8vmax auto;
    background-color: #94b8dd;
}

.restaurants_2025_title_container {
    padding: 3vmax 0 0vmax 0;
    width: 90%;
    position: relative;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.restaurants_2025_title {
    flex: 0 1 20%;
    position: relative;
    text-align: left;
    color: #fff;
    font: 700 calc(var(--majestic_default_font_size) * var(--section_divider)) var(--section_dividers_font_family), sans-serif;
    word-break: break-word;
}

.restaurants_2025_title_line {
    flex: 1 0 50%;
    position: relative;
    /* background-color: #fff; */
    height: 8px;
    overflow: hidden;
    margin: 0 1vmax;
    display: flex;
    /* mask-image: url(../images/squiggles.svg); */
}

.restaurants_2025_title_line_item {
    width: 100%;
    position: relative;
    animation-name: infiniteScroll;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes infiniteScroll {
    from {
        transform: translateX(0)
    }
    to {
        transform: translateX(calc(0px - 50%));
    }
}

.restaurants_2025_quantity {
    position: relative;
    text-align: left;
    color: #fff;
    font: 600 calc(var(--majestic_default_font_size) * 1) 'Averta', sans-serif;
    margin: 0 1vmax 0 0;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}

.restaurants_2025_text_and_slider_master_container {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: row;
}

.restaurants_2025_text_master_container {
    flex: 0 1 50%;
    position: relative;
    padding: 2vmax 0 2vmax 0;
}

.restaurants_2025_text {
    width: 60%;
    font: 300 var(--majestic_default_font_size) var(--default_font_family), serif;
    color: #fff;
    text-align: justify;
}

.restaurants_2025_links_container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: stretch;
    width: 60%;
}

.restaurants_2025_text_link {
    display: block;
    padding: 10px 0;
    font: 200 calc(var(--majestic_default_font_size) * 1.1) 'Averta';
    color: #fff;
    background-color: transparent;
    border: 1px solid #fff;
    text-decoration: none;
    text-align: center;
    flex: 0 1 45%;
}

.restaurants_2025_text_link:hover {
    color: #1d5b9a;
    background-color: #fff;
    transition: 0.2s all ease-in-out;
}

.restaurants_2025_slider_master_container {
    flex: 0 1 50%;
    position: relative;
}

.restaurants_2025_slider_container {
    width: 108%;
    position: absolute;
    aspect-ratio: 7/4;
    top: 0;
    overflow: hidden;
}

.restaurants_2025_slider_img {
    width: 100%;
    height: 100%;
    position: relative;
    object-fit: cover;
}

.left_right_sights_2025_img_container .owl-dots,
.left_right_secondary_2025_img_container .owl-dots,
.restaurants_2025_slider_container .owl-dots,
.majestic_offer_slider .owl-dots {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px 10px 5px 10px;
    border-radius: 5px;
    width: 90%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: flex-start;
}

.left_right_sights_2025_img_container .owl-dot,
.left_right_secondary_2025_img_container .owl-dot,
.restaurants_2025_slider_container .owl-dot,
.majestic_offer_slider .owl-dot {
    float: left;
    padding: 0;
    background: #fff;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    border: 1px solid #fff;
    margin: 0 5px;
    text-indent: -999px;
    outline: 0;
    overflow: hidden;
    -moz-transition: all 200ms ease-out;
    -webkit-transition: all 200ms ease-out;
    -o-transition: all 200ms ease-out;
    transition: all 200ms ease-out;
    position: relative;
    bottom: 0px;
}

.left_right_sights_2025_img_container .owl-dot.active,
.left_right_secondary_2025_img_container .owl-dot.active,
.restaurants_2025_slider_container .owl-dot.active,
.majestic_offer_slider .owl-dot.active {
    height: 15px;
    width: 15px;
    bottom: 2px;
    border-radius: 35%;
    background: transparent;
    -moz-transition: all 200ms ease-out;
    -webkit-transition: all 200ms ease-out;
    -o-transition: all 200ms ease-out;
    transition: all 200ms ease-out;
}

@media screen and (min-width: 1280px) {
    .restaurants_2025_item:nth-of-type(even) .restaurants_2025_title {
        text-align: right;
    }
    .restaurants_2025_item:nth-of-type(even) .restaurants_2025_text_and_slider_master_container {
        flex-direction: row-reverse;
    }
    .restaurants_2025_item:nth-of-type(odd) .restaurants_2025_slider_container {
        left: 0;
    }
    .restaurants_2025_item:nth-of-type(even) .restaurants_2025_slider_container {
        right: 0;
    }
    .restaurants_2025_item:nth-of-type(odd) .restaurants_2025_text {
        margin: 0 auto 0 15%;
    }
    .restaurants_2025_item:nth-of-type(even) .restaurants_2025_text {
        margin: 0 15% 0 auto;
    }
    .restaurants_2025_item:nth-of-type(odd) .restaurants_2025_links_container {
        margin: 1vmax auto 0 15%;
    }
    .restaurants_2025_item:nth-of-type(even) .restaurants_2025_links_container {
        margin: 1vmax 15% 0 auto;
    }
    .restaurants_2025_item:nth-of-type(odd) .majestic_accommodation_rooms_facilities_container {
        margin: 1vmax auto 0 15%;
    }
    .restaurants_2025_item:nth-of-type(even) .majestic_accommodation_rooms_facilities_container {
        margin: 1vmax 15% 0 auto;
    }
    /*--------------------*/
}

@media screen and (max-width: 1280px) {
    .restaurants_2025_item {
        width: 100%;
    }
    .restaurants_2025_title_container {
        width: 95%;
        flex-direction: column;
    }
    .restaurants_2025_text_and_slider_master_container {
        width: 100%;
        flex-direction: column-reverse;
        align-items: center;
    }
    .restaurants_2025_title_line {
        margin: 2vmax 0;
    }
    .restaurants_2025_slider_master_container {
        position: relative;
        flex: unset;
        width: 100%;
        height: 40vh;
    }
    .restaurants_2025_slider_container {
        position: relative;
        width: 100%;
        aspect-ratio: unset;
        height: 100%;
        top: unset;
    }
    .restaurants_2025_text_master_container {
        width: 95%;
    }
    .restaurants_2025_text {
        width: 100%;
        flex: unset;
    }
    .restaurants_2025_links_container {
        width: 100%;
    }
}

@media screen and (orientation: landscape) and (max-width: 1280px) {
    .restaurants_2025_slider_master_container {
        height: calc(100vh - var(--top_menu_height));
    }
}